
Configuration API

Use the configuration API to operate on LoadLeveler configuration files.

This API consists of the following subroutines:

*  ll_config_changed subroutine
*  ll_read_config subroutine


ll_config_changed subroutine

Use the ll_config_changed subroutine to allow users to determine if the
LoadLeveler configuration files were changed since the last time they
were read.

Library

LoadLeveler API library libllapi.a

Syntax
  
#include "llapi.h"
int ll_config_changed(void);

Description

This subroutine is used in conjunction with the ll_read_config
subroutine to reread the configuration files.

Return Values

An integer value will be returned which indicates whether the
configuration files were changed since the last time that they were
read.

0        The configuration files were not changed.

1        At least one of the configuration files was changed.

Related Information

Subroutine: ll_read_config


ll_read_config subroutine

Use the ll_read_config subroutine to allow users to read or reread the
LoadLeveler configuration files.

Library

LoadLeveler API library libllapi.a

Syntax
  
#include "llapi.h"
int ll_read_config(LL_element **errObj);

Parameters

errObj
   This is the address of a pointer to a LoadLeveler error object. The
   pointer to the LL_element should be set to NULL before calling this
   function. If this function fails, the pointer will point to an error
   object. The error messages stored in the error object can be
   displayed through the ll_error function. The caller should free the
   error object storage before reusing the pointer.

Description

This subroutine is used in conjunction with the ll_config_changed
subroutine to determine whether the configuration files were changed
since the last time they were read.

Return Values

API_OK   The configuration files was successfully read.

API_CONFIG_ERR
         Errors were encountered while reading the configuration files.

Related Information

Subroutines: ll_config_changed, ll_error
