
llacctmrg - Collect machine history files

Use the llacctmrg command to collect individual machine history files
together into a single file.

Syntax

llacctmrg [-?] [-H] [-v] [-R] [-h hostlist] [-d directory]

Flags

-? 
   Provides a short usage message.

-H 
   Provides extended help information.

-v 
   Displays the name of the command, release number, service level,
   service level date, and lowest level of the operating system to run
   this release.

-R 
   Merges individual machine reservation history files into a single
   history file.

-h hostlist
   Specifies a blank-delimited list of machines from which to collect
   data. The default is all machines in the LoadLeveler cluster.

-d directory
   Specifies the directory to hold the new global history file. If not
   specified, the directory specified in the GLOBAL_HISTORY keyword in
   the configuration file is used.

Description

This command by default collects data from all the machines identified
in the administration file. To override the default, specify a machine
or a list of machines using the -h flag.

When the llacctmrg command ends, accounting information is stored in a
file called globalhist.YYYYMMDDHHmm.

where:

YYYY     Indicates the year
MM       Indicates the month
DD       Indicates the day
HH       Indicates the hour
mm       Indicates the minute.

Information such as the amount of resources consumed by the job and
other job-related data is stored in this file.

Note that when the collection of accounting information to the global
history file is complete, the accounting information is cleared in the
history file.

For job data, you can use this file as input to the llsummary command.
For example, if you created the file globalhist.199808301050, you can
issue llsummary globalhist.199808301050 to process the accounting
information stored in this file.

When the -R flag is used to merge reservation history files instead of
job history files, a file named reservation_globalhist.YYYYMMDDHHmm is
created in the specified directory. You can view reservation data with
any text editor. For more information on the format of the reservation
history file, see the accounting information in the "Configuring the
LoadLeveler environment" topic in TWS LoadLeveler: Using and
Administering.

Data on processes which fork child processes will be included in the
file only if the parent process waits for the child process to end.
Therefore, complete data may not be collected for jobs which are not
composed of simple parent/child processes. For example, if a LoadLeveler
job invokes an rsh command to execute some function on another machine,
the resources consumed on the other machine will not be collected as
part of the accounting data.

Examples

1. The following example collects data from machines named mars and
   pluto: 

   llacctmrg -h mars pluto

2. The following example collects data from the machine named mars and
   places the data in an existing directory called merge: 

   llacctmrg -h mars -d merge

3. The following example collects reservation history data from all
   machines in the LoadLeveler cluster: 

   llacctmrg -R

   You should receive a response similar to the following: 

   llacctmrg: History transferred successfully from 
              c94n04.ppd.pok.ibm.com (98 bytes).

   A file named reservation_globlhist.200802130915 is generated in the
   global history file location, assuming llacctmrg is issued at the
   time of 09:15 02/13/2008.

Results

The following shows a sample system response from the llacctmrg -h mars
-d merge command: 

llacctmrg: History transferred successfully from mars (10080 bytes)

Security

LoadLeveler administrators can issue this command.
