
llfavorjob - Reorder system queue by job

Use the llfavorjob command to set specified jobs to a higher system
priority than all jobs that are not favored. This command also unfavors
previously favored jobs, restoring the original priority, when you
specify the -u flag.

Syntax

llfavorjob [-?] [-H] [-v] [-q] [-u] joblist

Flags

-? 
   Provides a short usage message.

-H 
   Provides extended help information.

-v 
   Displays the name of the command, release number, service level,
   service level date, and lowest level of the operating system to run
   this release.

-q 
   Specifies quiet mode: print no messages other than error messages.

-u 
   Unfavors previously favored jobs, requeuing them according to their
   original priority levels.

joblist
   Is a blank-delimited list of job and step identifiers. When a job
   identifier is specified, the command action is taken for all steps of
   the job. At least one job or step identifier must be specified. 

   The format of a job identifier is host.jobid. The format of a step
   identifier is host.jobid.stepid.    

   where:
    
   *  host is the name of the machine that assigned the job and step
      identifiers.
   *  jobid is the job number assigned to the job when it was submitted.
   *  stepid is the job step number assigned to the job step when it was
      submitted.    

   The job or step identifier can be specified in an abbreviated form,
   jobid or jobid.stepid, when the command is invoked on the same
   machine that assigned the job and step identifiers. In this case,
   LoadLeveler will use the local machine's hostname to construct the
   full job or step identifier.

Description

If this command is issued against jobs that are already running, it has
no effect. If the job vacates, however, and returns to the queue, the
job gets re-ordered with the new priority.

If more than one job is affected by this command, then the jobs are
ordered by the sysprio expression and are scanned before the not favored
jobs. However, favored jobs which do not match the job requirements with
available machines may run after not favored jobs. This command remains
in effect until reversed with the -u option.

The llfavorjob command can be issued for a scale-across step on the main
cluster or from any other cluster that is being considered for running
the step. The change in priority or queue position is only applied to
the scale-across step on the cluster from which the command is issued
and will not change the step on any other cluster.

Examples

1. This example assigns job steps iron.12.4 and zinc.8.2 the highest
   priorities in the system, with the job steps ordered by the sysprio
   expression: 

   llfavorjob iron.12.4 zinc.8.2

2. This example unfavors job steps iron.12.4 and zinc.8.2: 

   llfavorjob -u iron.12.4 zinc.8.2

Security

LoadLeveler administrators can issue this command.
