
llfavoruser - Reorder system queue by user

Use the llfavoruser command to set a user's jobs to the highest priority
in the system, regardless of the current setting of the job priority.
Jobs already running are not affected. This command also unfavors the
user's jobs, restoring the original priority, when you specify the -u
flag.

Syntax

llfavoruser [-?] [-H] [-v] [-q] [-u] userlist

Flags

-? 
   Provides a short usage message.

-H 
   Provides extended help information.

-v 
   Displays the name of the command, release number, service level,
   service level date, and lowest level of the operating system to run
   this release.

-q 
   Specifies quiet mode: print no messages other than error messages.

-u 
   Unfavors previously favored users, reordering their jobs according to
   their original priority levels. If -u is not specified, the user's
   jobs are favored.

userlist
   Is a blank-delimited list of users whose jobs are given the highest
   priority. If -u is specified, userlist jobs are unfavored.

Description

This command affects your current and future jobs until you remove the
favor.

When the central manager daemon is restarted, any favor applied to users
is revoked.

The user's jobs still remain ordered by user priority (which may cause
jobs for the user to swap sysprio). If more than one user is affected by
this command, the jobs of favored users are ordered by sysprio and are
scanned before the jobs of not favored users. However, jobs of favored
users which do not match job requirements with available machines may
run after jobs of not favored users.

A user's steps affected by the llfavoruser can include scale-across
steps. The change in priority or queue position is applied to the
scale-across steps only on the cluster from which the command is issued
and will not change the steps on any other cluster.

Examples

1. This example grants highest priority to all queued jobs submitted by
   users ellen and fred according to the sysprio expression: 

   llfavoruser ellen fred

2. This example unfavors all queued jobs submitted by users ellen and
   fred: 

   llfavoruser -u ellen fred

Security

LoadLeveler administrators can issue this command.
