
llmovejob - Move a single idle job from the local cluster to another 
            cluster

Use the llmovejob command to move a single idle-like job from the local
cluster to a remote cluster.

Syntax

llmovejob { -? | -H | -v | -C cluster_name -j job_ID }

Flags 

-?       Provides a short usage message.

-H       Provides extended help information.

-v       Displays the name of the command, release number, service
         level, service level date, and lowest level of the operating
         system to run this release.

-C cluster_name
         Indicates the remote cluster the job specified by job_ID should
         be transferred to. The -C flag must be specified in combination
         with the -j flag.

-j job_ID
         Indicates the job_ID to be transferred to the cluster specified
         by cluster_name. The -j flag must be specified in combination
         with the -C flag.

Description

The llmovejob command moves a single idle-like job from one cluster to
another. Upon successful transfer, the job's submitting owner is
notified of the move by mail. If any steps within the job are not idle,
the transfer request is rejected and the command exits with an error
message. The remote job retains the original job_ID from the local
cluster. Upon transfer, the remote cluster performs any user mapping and
remote job filtering necessary for the job. A scale-across job cannot be
moved using the llmovejob command.

Any changes made to the idle job in the local cluster by the llmodify
command will not be carried forward to the remote cluster. Any jobs
submitted when the local cluster was not configured as a part of a
multicluster cannot be moved once the cluster converts to a multicluster
environment.

Prior to moving the job, the administrator can examine the LoadLeveler
statements in the job command file using the llq -x -d command. This
will show what values the moved job will use during submission to the
remote cluster.

Only administrators can issue the llmovejob command. In a mixed
operating system multicluster environment, administrators must ensure
the binary compatibility of the job being transferred.

Standard Error

An error message is issued and the command exits for the following error
cases:

*  The cluster name is unknown
*  The requested cluster cannot be accessed
*  The job is not in the Idle state
*  The job is unknown
*  The -C and -j flags were not specified together

Examples

This example moves the idle job silver.11 from the local cluster to the
remote cluster cluster1:

llmovejob -C cluster1 -j silver.11 

You should receive output similar to the following:

Job silver.11 has been submitted to cluster cluster1

Security

LoadLeveler administrators can issue this command.
