
llmovespool - Move job records

Use the llmovespool command to move the job records from the spool of
one managing Schedd to another managing Schedd in the local cluster.

Syntax

llmovespool { -? | -H | -v | [-d directory] -h hostname }

Flags

-?       Provides a short usage message.

-H       Provides extended help information.

-v       Displays the name of the command, release number, service
         level, service level date, and lowest level of the operating
         system to run this release.

-d directory
         Indicates the directory containing the job queue whose job
         records are to be moved. If not specified, the job queue in the
         current working directory will be moved. The specified
         directory must be accessible from the machine upon which the
         command is issued.

-h hostname
         Indicates the hostname of the machine running the Schedd
         daemon, which manages the job queue database that will receive
         the job records being moved. This flag has no default and is
         required.

Description

The llmovespool command is intended for recovery purposes only. The
command moves the job records from the spool of one managing Schedd to
another managing Schedd in the local cluster. The command must be run
from a machine that has read and write access to the specified spool
directory containing the job records being moved. This machine must also
have network connectivity to the machine running the Schedd daemon that
will receive the job records. Jobs to be moved can be in any state.

The Schedd that created the job records to be moved must not be running
during the move operation. Jobs within the job queue database will be
unrecoverable if the job queue is updated during the move by any process
other than the llmovespool command. The Schedd that created the job
records to be moved must have the schedd_fenced machine stanza keyword
set to true prior to the llmovespool command being issued.

All moved jobs retain their original job identifiers. The llmovespool
command reports the status of each job as it is processed. When the job
records for a job are successfully transferred, the schedd_host of the
job is updated to represent the new managing Schedd and the job records
in the specified spool directory are deleted. The successful status is
reported to standard output. If the transfer for any step within a job
fails, the job records for that step remain in the specified spool
directory and the error status is reported to standard error. If for
some reason a job fails, the llmovespool command should be reissued
against the specified spool directory to reprocess the job.

The llmovespool command does not move the reservation queue or fair
share scheduling data found within the specified spool directory.

The command can be issued by administrators only.

Standard Error

An error message is issued and the command exits for the following error
cases:

*  The command was not issued with the required -h flag.
*  The machine stanza for the machine running the Schedd daemon, which
   manages the job queue database that is receiving the job records, has
   the schedd_fenced keyword set to true.
*  The machine stanza for the machine running the Schedd daemon, which
   manages the job queue database being moved, does not have the
   schedd_fenced keyword set to true.
*  The specified hostname is not a valid machine.
*  The command cannot make a connection to the specified hostname.
*  The specified directory does not exist.
*  The job records within the specified directory cannot be accessed.
*  There are no job records within the specified spool directory.
*  The Schedd on the specified hostname cannot accept the transferred
   job because a job with the same job identifier already exists.

Examples

This example moves the job records found in /tmp/tmp_spool to the Schedd
running on the c188f2n08 machine:

llmovespool -d /tmp/tmp_spool -h c188f2n08

You should receive output similar to the following:
     
The job spool records in /tmp/tmp_spool are being moved to c188f2n08.
The records for job c188f2n02.ppd.pok.ibm.com.1 were successfully 
transferred.

The transfer is complete.

Security

LoadLeveler administrators can issue this command.
