
llrunscheduler - Run the central manager's scheduling algorithm

Use the llrunscheduler command to run the central manager's scheduling
algorithm when the internal scheduling interval is disabled.

Syntax

llrunscheduler [-?] | [-H] | [-v] | [-q]

Flags

-?       Provides a short usage message.

-H       Provides extended help information.

-v       Displays the name of the command, release number, service
         level, service level date, and lowest level of the operating
         system to run this release.

-q       Specifies quiet mode: print no messages other than error
         messages.

Description

The llrunscheduler command is used to run the central manager's
scheduling algorithm when the internal scheduling interval has been
disabled so that an external program can control when the central
manager attempts to schedule job steps. The llrunscheduler command sends
a request to the central manager to run the scheduling algorithm. The
central manager's scheduling algorithm will run only once each time the
llrunscheduler command is invoked. Each time the scheduling algorithm
runs, the central manager will schedule as many job steps as the current
available resources allow.

The request to run the scheduling algorithm is ignored if the internal
scheduling interval has not been disabled by setting the
NEGOTIATOR_INTERVAL configuration keyword to 0. If NEGOTIATOR_INTERVAL
is set to 0, the llstatus command will report that the scheduler
interval is disabled.

Security

LoadLeveler administrators can issue this command.
