#!/bin/sh
#
# Sample script to show how data stage in script works
#
# The following environment variables can be set individually
#
#DSTG_DATA_TRANSFER_CMD=cp
#DSTG_DATA_TRANSFER_OPTION=-f
#DSTG_DATA_INTEGRITY_CMD=md5sum
#DSTG_IN_SOURCE_URL=/u/loadl/source_file
#DSTG_IN_DESTINATION_URL=/u/loadl/dst_file

copy_cmd=$DSTG_DATA_TRANSFER_CMD
chk_cmd=$DSTG_DATA_INTEGRITY_CMD
option=$DSTG_DATA_TRANSFER_OPTION
dstg_in_src_url=$DSTG_IN_SOURCE_URL
dstg_in_dst_url=$DSTG_IN_DESTINATION_URL
dstg_in_src_checksum=$DSTG_IN_SOURCE_CHECKSUM
dstg_in_dst_checksum=$DSTG_IN_DESTINATION_CHECKSUM

CMP_CMD=/usr/bin/diff

if [ "$copy_cmd" == "" ]; then
	copy_cmd=/bin/cp
fi

if [ "$dstg_in_src_checksum" == "" ]; then
	dstg_in_src_checksum=/tmp/dstg_in_src_checksum
fi

if [ "$dstg_in_dst_checksum" == "" ]; then
	dstg_in_dst_checksum=/tmp/dstg_in_dst_checksum
fi

if [ "$chk_cmd" != "" ]; then
	$chk_cmd $dstg_in_src_url | awk '{print $1}' | xargs echo > $dstg_in_src_checksum
fi

if [ -f "$dstg_in_dst_url" ]; then
	if [ "$chk_cmd" != "" ]; then
		$chk_cmd $dstg_in_dst_url | awk '{print $1}' | xargs echo > $dstg_in_dst_checksum
		$CMP_CMD $dstg_in_src_checksum $dstg_in_dst_checksum || exit 1
		exit 0
	fi
else 
	$copy_cmd $option $dstg_in_src_url $dstg_in_dst_url
	if [ "$?" != 0 ]; then
		exit 1
	fi
fi

if [ "$chk_cmd" != "" ]; then
	$chk_cmd $dstg_in_dst_url | awk '{print $1}' | xargs echo > $dstg_in_dst_checksum
	$CMP_CMD $dstg_in_src_checksum $dstg_in_dst_checksum || exit 1
	exit 0
fi

exit 0
