#!/bin/sh
#
# Sample script to show how data stage out script works
#
# The following environment variables can be set individually
#
#DSTG_DATA_TRANSFER_CMD=cp
#DSTG_DATA_TRANSFER_OPTION=-f
#DSTG_DATA_INTEGRITY_CMD=md5sum
#DSTG_OUT_SOURCE_URL=/u/loadl/source_file
#DSTG_OUT_DESTINATION_URL=/u/loadl/dst_file
#DSTG_OUT_SOURCE_CHECKSUM=/tmp/dstg_out_src_checksum
#DSTG_OUT_DESTINATION_CHECKSUM=/tmp/dstg_out_dst_checksum

copy_cmd=$DSTG_DATA_TRANSFER_CMD
chk_cmd=$DSTG_DATA_INTEGRITY_CMD
option=$DSTG_DATA_TRANSFER_OPTION
dstg_out_src_url=$DSTG_OUT_SOURCE_URL
dstg_out_dst_url=$DSTG_OUT_DESTINATION_URL
dstg_out_src_checksum=$DSTG_OUT_SOURCE_CHECKSUM
dstg_out_dst_checksum=$DSTG_OUT_DESTINATION_CHECKSUM

CMP_CMD=/usr/bin/diff

if [ "$copy_cmd" == "" ]; then
	copy_cmd = /bin/cp
fi

if [ "$chk_cmd" != "" ]; then
	$chk_cmd $dstg_out_src_url | awk '{print $1}' | xargs echo > $dstg_out_src_checksum
fi

$copy_cmd $option $dstg_out_src_url $dstg_out_dst_url
if [ "$?" != 0 ]; then
	exit 1
fi

if [ "$chk_cmd" != "" ]; then
	$chk_cmd $dstg_out_dst_url | awk '{print $1}' | xargs echo > $dstg_out_dst_checksum
	$CMP_CMD $dstg_out_src_checksum $dstg_out_dst_checksum || exit 1
	exit 0
fi

exit 0
