#!/bin/ksh

# This file is used to clean unused shared memory, if the value of keyword
# JOB_EPILOG in the LoadL_config file is set to the full path of such a shell
# script, the cleaning action will be invoked so the unused shared memory will
# be cleaned.

OP_SYS=`uname`

print "====== Begin of Cleaning Shared Memory ======"

if [[ $OP_SYS = "AIX" ]]
then
        print "****** This is an AIX machine ******"
        ipcs -ma | awk '{if ($9 == 0) {system(sprintf("ipcrm -m %s", $2))}}'
elif [[ $OP_SYS = "Linux" ]]
then
        print "****** This is a Linux machine ******"
        ipcs -m | awk '{if ($6 == 0) {system(sprintf("ipcrm -m %s", $2))}}'
else
        print "****** This is NOT a supported OS ******"
fi

print "====== End of Cleaning Shared Memory ======"
